#pragma once
#include "levelmanager.hpp"
#include "textures.hpp"
#include "guecs.hpp"
#include "tilemap.hpp"

namespace gui {
  class MapViewUI {
    public:
      guecs::UI $gui;
      GameLevel $level;
      TileMap $tiles;

      MapViewUI(GameLevel &level);
      void init(int x, int y, int w, int h);
      void render(sf::RenderWindow &window);
      void update_level(GameLevel &level);
  };
}
